(function($) {

Drupal.behaviors.keyboardShortcutURLAction = {
  attach: function(context) {

    var bindings = Drupal.settings.keyboardShortcut.goto_url;

    $.each(bindings, function(key, value) {

        Mousetrap.bind(value.shortcut, function(e) {
            keyboard_shortcut_url_action_goto(value.goto_url);
         });

    });

  }
};

function keyboard_shortcut_url_action_goto(path){
  document.location = path;
}

})(jQuery);
