<?php

/**
 * @file
 * Define this Export UI plugin for key bindings.
 */

$plugin = array(
  'schema' => 'keyboard_shortcut_bindings',
  'access' => 'administer keyboard shortcuts',

  'menu' => array(
    'menu prefix' => 'admin/config/user-interface',
    'menu item' => 'keyboard-shortcut',
    'menu title' => t('Keyboard shortcuts'),
    'menu description' => t('Add and modify keyboard shortcuts.'),
  ),

  'title singular' => t('key binding'),
  'title plural' => t('key bindings'),
  'title singular proper' => t('Key binding'),
  'title plural proper' => t('Key bindings'),

  'handler' => 'keyboard_shortcut_export_ui',

  'form' => array(
    'settings' => 'keyboard_shortcut_binding_form',
    'submit' => 'keyboard_shortcut_binding_form_submit',
  ),
);
